#!/system/bin/sh
box=/system/bin/busybox
if [ -f /sdcard/linux_backup.taraa ]; then
	$box echo "[INFO]RESTORE STARTED."
	$box rm -rf /data/linux/*
	$box echo "[INFO]DELETE /data/linux. FINISHED."
	$box cat /sdcard/linux_backup.tar* | tar xf - -C /
	$box echo "[INFO]RESTORE FROM linux_backup.tar FINISHED."
	/system/bin/setprop persist.sys.ghost.linux on
	$box echo "[INFO]FINISHED / SETPROP COMPLETE."
else
	$box echo "[INFO]BACKUP STARTED."
	$box tar -cf - /data/linux | split -b 2000m - /sdcard/linux_backup.tar
	$box echo "[INFO]BACKUP FINISHED."
fi
$box sync
$box echo "[INFO]TASK FINISHED / SYNC."